[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.Create

Constructor for the class instance.

## Declaration

Source position: stdctrls.pp line 612

`public constructor TCustomListBox.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor on entry. Create sets the component style to csListBox, and allocates resources needed for the Items and Canvas properties. Create sets the default values for properties, including:

BorderStyle
  Set to bsSingle.
ClickOnSelChange
  Set to True.
ItemIndex
  Set to -1 to indicate no item is selected.
ExtendedSelect
  Set to True.
Options
  Set to DefOptions.
Canvas
  Cast to a TControlCanvas instance for the current class instance.
ParentColor
  Set to False.
TabStop
  Set to True.

Create calls SetInitialBounds to assign the dimensions from the GetControlClassDefaultSize method.

## See also

TCustomListBox.Items |  | The list of all items defined in the control.
TCustomListBox.Canvas |  | Drawing surface where the control is drawn.
TWinControl.Create |  | Constructor for the class instance.